usc-e-shopプラグインのエラーについて

ホーム フォーラム 拡張プラグイン usc-e-shopプラグインのエラーについて

このトピックには2件の返信が含まれ、2人の参加者がいます。3 ヶ月、 3 週間前 mone さんが最後の更新を行いました。

3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • 投稿者
    投稿
  • #85779

    mone
    参加者

    デバッグで見たところ、プラグインのエラーがありましたので、改善策をお聞きしたいと思っています。

    ファイルは「usc-e-shop/template_func.php」です。
    Notice: Undefined offset: 0 in /home/***/***.com/public_html/wp-content/plugins/usc-e-shop/functions/template_func.php on line 505

    その行は下記になります。
    $price = apply_filters( 'usces_filter_the_first_price', $skus[0]['price'], $post_id, $skus, $out );

    $skus[0]の部分に問題がとなるのでしょうが、プラグインのファイルは触っていないので初期エラーなのかと思い投稿してみたいと思います。——————————————-
    WordPress のバージョン:(4.9.6)
    Welcart のバージョン:(バージョン 1.9.10)
    Welcart専用の拡張プラグイン:(usc-e-shop)
    ご利用のテーマ:(WelcartBasicの自作子テーマ)
    症状を確認したブラウザ:firefox
    サーバー:(xserver)
    SSLの利用:(常時SSL)
    ——————————————–

    #85785

    nanbu
    参加者

    こんにちは

    まずは、テーマを変えてそれでも同じエラーが出るかをご確認いただけますか?

    #85803

    mone
    参加者

    nanbu さま

    返答ありがとうございます。

    理由不明ですが、解決しました。

    もしまたデバッグしてエラーが出ましたら投稿させていただきます。
    お手数おかけしました。

3件の投稿を表示中 - 1 - 3件目 (全3件中)

このトピックに返信するにはログインが必要です。